Bug 190481 - zplane() fails
zplane() fails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: octave (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Quentin Spencer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-02 15:52 EDT by Piergiorgio Sartor
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 10:18:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piergiorgio Sartor 2006-05-02 15:52:26 EDT
Description of problem:
zplane() function fails due to change in hold() function.

Version-Release number of selected component (if applicable):
2.9.5-2.fc5

How reproducible:
Always

Steps to Reproduce:
1.
Start octave and generate some filter, for example:

[b,a]=ellip(7,1,60,0.5);

2.
Then plot the zeros/poles graph with:

zplane(b,a);

Actual results:
An incomplete zeros/poles plot with the following error:

usage: hold ("on") or hold ("off")
error: evaluating if command near line 59, column 3
error: called from `hold' in file `/usr/share/octave/2.9.5/m/plot/hold.m'
usage: hold ("on") or hold ("off")
error: evaluating if command near line 59, column 3
error: called from `hold' in file `/usr/share/octave/2.9.5/m/plot/hold.m'
error: called from `zplane' in file
`/usr/share/octave/site/m/octave-forge/signal/zplane.m'

Expected results:
Complete and correct zeros/poles plot without errors.

Additional info:
This creates also an other problem: succesive plots inherit some bad
configuration and they are basically broken, usually shrinked horizontally
to an unreadable size.
This seems hard to reset (I could only do it exiting octave and restarting).

Looking at the error reported and the script zplane.m, it is clear that
"hold" is not called in the correct way.
Replacing "hold on" with "hold("on")" (same for "off") fixes the problem.
Note that from command line "hold on" does not return errors, which is
maybe a second bug.
Comment 1 Quentin Spencer 2006-05-04 10:18:35 EDT
The problem with hold on has been fixed with a patch to octave. It only happened
when "hold on" was followed by a semicolon and a end-of-line comment, and
preceeded by certain commands. The problem with plot settings has been fixed by
patching the zplane function (which by the way is actually in octave-forge,
rather than octave).

Note You need to log in before you can comment on or make changes to this bug.